#ifndef WIOS_UTIL_H
#define WIOS_UTIL_H
#include "wios.h"
#include "util.h"
#include "lsf.h"

extern void wios_set_fmtinfo(wios_file_t const * ft, wios_fmtinfo_t * fmt);
extern void wios_fmtinfo_init(wios_fmtinfo_t * info);
extern void wios_execinfo_init(wios_execinfo_t * info);

extern char * wios_format_to_string(wios_pcm_format_t fmt);

extern char * wios_buffer_malloc(wios_file_t * ft, wios_buffer_t * buf, int first_len);
extern void wios_buffer_free(wios_buffer_t * buf);

extern wios_file_t * open_read_(
	const char             * path,
	const char             * dev,
	const wios_execinfo_t  * info,
	int (*priv_init) (wios_file_t * ft));

extern wios_file_t * open_write_(
		const char             * path,
		const char             * dev,
		const wios_execinfo_t  * info,
		const wios_fmtinfo_t   * fmt,
		int (*priv_init) (wios_file_t * ft));

extern double wios_get_time(void);
#endif
